aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-09-12 09:25:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-29 06:48:09 +0000
commitd8a5bbe946dedc91fe5ca1a411e2da7a4c90ae57 (patch)
tree40b9a3daf3f5367746482d0952bfbdafab5d7601
parent6a10b700794f5184951752b50fea34c422a58f7a (diff)
downloadaports-d8a5bbe946dedc91fe5ca1a411e2da7a4c90ae57.tar.bz2
aports-d8a5bbe946dedc91fe5ca1a411e2da7a4c90ae57.tar.xz
testing/py-redmine: new aport
A library for communicating with a Redmine project management application https://github.com/maxtepkeev/python-redmine
-rw-r--r--testing/py-redmine/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-redmine/APKBUILD b/testing/py-redmine/APKBUILD
new file mode 100644
index 0000000000..9916ffc8c3
--- /dev/null
+++ b/testing/py-redmine/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-redmine
+_pkgname=python-redmine
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="A simple library for communicating with redmine"
+url="https://github.com/maxtepkeev/python-redmine"
+arch="noarch"
+license="ASL 2.0"
+depends="python py-requests"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="0eff9a334d25f807b6b87a552f75d9d2 python-redmine-0.9.0.tar.gz"
+sha256sums="cd6e11c9a95f661ecda9e81e64d53c9a67e09fe9c5168c206fe596936829ac82 python-redmine-0.9.0.tar.gz"
+sha512sums="be92e1671c7893bf997de10b7ee8f86d91c24e3fcef1a1e3fe9db2d41391039a26e38cac7e8a2e3554b574fb9d8205d29c22dd1682a8202cf3af4a7d8203873e python-redmine-0.9.0.tar.gz"